## c-ares 1.15.0

=== debian/changelog ===
c-ares (1.15.0-1ubuntu0.5) focal-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read in ares__read_line()
    - debian/patches/CVE-2024-25629.patch: filtering to 
      eliminate out of bounds read
    - CVE-2024-25629

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 28 Feb 2024 13:36:54 +0000

c-ares (1.15.0-1ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via out-of-bounds read
    - debian/patches/CVE-2020-22217.patch: check length in
      ares_parse_soa_reply.c.
    - CVE-2020-22217

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Sep 2023 11:00:59 -0400

c-ares (1.15.0-1ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: buffer underflow on certain ipv6 addresses
    - debian/patches/CVE-2023-31130.diff: add newer inet_net_pton_ipv6()
      and fix test cases in inet_net_pton.c, test/ares-test-internal.cc.
    - CVE-2023-31130
  * SECURITY UPDATE: denial of service via 0-byte UDP payload
    - debian/patches/CVE-2023-32067.diff: check length in ares_process.c.
    - CVE-2023-32067

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Jun 2023 14:45:23 -0400

c-ares (1.15.0-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in config_sortlist()
    - debian/patches/CVE-2022-4904.patch: add length checks to ares_init.c,
      test/ares-test-init.cc.
    - CVE-2022-4904

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Mar 2023 12:22:05 -0500

c-ares (1.15.0-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Missing input validation on hostnames returned by DNS
    servers
    - debian/patches/CVE-2021-3672-1.patch: escape more characters in
      ares_expand_name.c.
    - debian/patches/CVE-2021-3672-2.patch: fix formatting and handling of
      root name response in ares_expand_name.c.
    - CVE-2021-3672

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Aug 2021 07:30:23 -0400

c-ares (1.15.0-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:32:14 +0000

c-ares (1.15.0-1) unstable; urgency=low

  * Imported Upstream version 1.15.0
  * Bumped standards to version 4.4.0 (no changes needed)
  * Add Build-Depends-Package field in symbols file
  * Minimize upstream signing key

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 17 Jul 2019 20:54:21 +0200

=== debian/control ===
Source: c-ares
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
Standards-Version: 4.4.0
Section: libs
Vcs-Browser: https://salsa.debian.org/debian/c-ares
Vcs-Git: https://salsa.debian.org/debian/c-ares.git
Homepage: https://c-ares.haxx.se/


Package: libc-ares-dev
Section: libdevel
Architecture: any
Conflicts: libares-dev
Depends: libc-ares2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: asynchronous name resolver - development files
 c-ares is a C library that performs DNS requests and name resolution
 asynchronously.
 .
 It is a fork of the library named "ares", with additional features:
  * IPv6 support;
  * extended cross-platform portability;
  * 64-bit clean sources.
 .
 This package contains development files (headers and static libraries).

Package: libc-ares2
Conflicts: libcares2
Architecture: any
Replaces: libc-ares1
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: asynchronous name resolver
 c-ares is a C library that performs DNS requests and name resolution
 asynchronously.
 .
 It is a fork of the library named "ares", with additional features:
  * IPv6 support;
  * extended cross-platform portability;
  * 64-bit clean sources.
 .
 This package provides the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-symbol-hiding

## c-ares 1.16.1

=== debian/changelog ===
c-ares (1.16.1-1) unstable; urgency=high

  * Imported Upstream version 1.16.1
  * This release prevents a possible use-after-free and
    double-free in ares_getaddrinfo() if ares_destroy()
    is called prior to ares_getaddrinfo() completing.

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 11 May 2020 20:24:56 +0200

c-ares (1.16.0-1) unstable; urgency=medium

  * Imported Upstream version 1.16.0
  * Bumped standards to version 4.5.0 (no changes needed)
  * Use debhelper v12

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 04 Apr 2020 13:24:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: c-ares
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 4.4.0
+Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org/debian/c-ares
 Vcs-Git: https://salsa.debian.org/debian/c-ares.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-symbol-hiding

## c-ares 1.17.1

=== debian/changelog ===
c-ares (1.17.1-1~bpo10+1) buster-backports; urgency=low

  * Rebuild for buster-backports
    - Vcs-Git: field adjusted
    - Added override_dh_autoreconf to optionally call dh_autoreconf twice, to
      work around sporadic "too many loops" issue with Buster's autoconf
    - Added myself to Uploaders

 -- Eduard Bloch <blade@debian.org>  Sat, 24 Jul 2021 14:07:09 +0200

c-ares (1.17.1-1) unstable; urgency=medium

  * Imported Upstream version 1.17.1 (fixes CVE-2020-8277)
  * Bumped standards to version 4.5.1 (no changes needed)
  * Update upstream repository metadata
  * Ignore installed libtool file for all architectures

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 19 Nov 2020 18:57:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: c-ares
 Priority: optional
 Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Uploaders: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Vcs-Browser: https://salsa.debian.org/debian/c-ares
 Vcs-Git: https://salsa.debian.org/debian/c-ares.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-symbol-hiding --disable-tests

override_dh_autoreconf:
	dh_autoreconf || dh_autoreconf

## c-ares 1.18.1

=== debian/changelog ===
c-ares (1.18.1-1ubuntu0.22.04.3) jammy-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read in ares__read_line()
    - debian/patches/CVE-2024-25629.patch: filtering to 
      eliminate out of bounds read
    - CVE-2024-25629

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 28 Feb 2024 13:37:18 +0000

c-ares (1.18.1-1ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer underflow on certain ipv6 addresses
    - debian/patches/CVE-2023-31130.diff: add newer inet_net_pton_ipv6()
      and fix test cases in src/lib/inet_net_pton.c,
      test/ares-test-internal.cc.
    - CVE-2023-31130
  * SECURITY UPDATE: denial of service via 0-byte UDP payload
    - debian/patches/CVE-2023-32067.diff: check length in
      src/lib/ares_process.c.
    - CVE-2023-32067

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Jun 2023 14:43:33 -0400

c-ares (1.18.1-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in config_sortlist()
    - debian/patches/CVE-2022-4904.patch: add length checks to
      src/lib/ares_init.c, test/ares-test-init.cc.
    - CVE-2022-4904

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Mar 2023 12:18:31 -0500

c-ares (1.18.1-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:45:19 +0100

c-ares (1.18.1-1) unstable; urgency=medium

  * Imported Upstream version 1.18.1

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 27 Oct 2021 09:15:14 +0200

c-ares (1.18.0-1) unstable; urgency=low

  * Imported Upstream version 1.18.0
  * Bumped debhelper from old 12 to 13.
  * Bumped standards to version 4.6.0 (no changes needed)
  * Updated upstream contact data

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 26 Oct 2021 15:53:53 +0200

c-ares (1.17.2-1) unstable; urgency=low

  * Imported Upstream version 1.17.2 (fixes CVE-2021-3672)
  * Bumped standards to version 4.5.2 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 18 Aug 2021 18:21:53 +0200

c-ares (1.17.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Missing input validation on hostnames returned by DNS servers
    (CVE-2021-3672) (Closes: #992053)
    - ares_expand_name() should escape more characters
    - ares_expand_name(): fix formatting and handling of root name response

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Aug 2021 11:43:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: c-ares
 Priority: optional
-Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Uploaders: Eduard Bloch <blade@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org/debian/c-ares
 Vcs-Git: https://salsa.debian.org/debian/c-ares.git
-Homepage: https://c-ares.haxx.se/
+Homepage: https://c-ares.org/
 
 
 Package: libc-ares-dev

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" https://c-ares.org/ download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## c-ares 1.19.1

=== debian/changelog ===
c-ares (1.19.1-3ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read in ares__read_line()
    - debian/patches/CVE-2024-25629.patch: filtering to 
      eliminate out of bounds read
    - CVE-2024-25629

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 28 Feb 2024 13:38:22 +0000

c-ares (1.19.1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #1038165)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 16 Jun 2023 14:14:22 +0200

c-ares (1.19.1-2) unstable; urgency=medium

  * upload to unstable

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 14 Jun 2023 20:11:59 +0200

c-ares (1.19.1-1) experimental; urgency=medium

  * Imported Upstream version 1.19.1 (fixes
    CVE-2023-31124, CVE-2023-31130, CVE-2023-31147, CVE-2023-32067)

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 22 May 2023 16:52:29 +0200

c-ares (1.19.0-2) experimental; urgency=medium

  * Enable test suite and exclude live tests

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 19 Feb 2023 21:12:47 +0100

c-ares (1.19.0-1) experimental; urgency=medium

  * Imported Upstream version 1.19.0
  * Bumped standards to version 4.6.2 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 29 Jan 2023 18:34:58 +0100

c-ares (1.18.1-3) unstable; urgency=medium

  * Fix buffer underwrite in ares_inet_net_pton (CVE-2023-31130)
  * Zero byte UDP packet causes DoS (CVE-2023-32067)

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 23 May 2023 07:58:02 +0200

c-ares (1.18.1-2) unstable; urgency=medium

  * Add str len check in config_sortlist to avoid stack overflow
    (CVE-2022-4904) (Closes: #1031525)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 17 Feb 2023 23:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Vcs-Browser: https://salsa.debian.org/debian/c-ares
 Vcs-Git: https://salsa.debian.org/debian/c-ares.git

## c-ares 1.20.1

=== debian/changelog ===
c-ares (1.20.1-1) unstable; urgency=low

  * Imported Upstream version 1.20.1

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 09 Oct 2023 08:16:10 +0200

## c-ares 1.25.0

=== CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT
CMAKE_MINIMUM_REQUIRED (VERSION 3.5.0)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")

INCLUDE (CheckIncludeFiles)
INCLUDE (CheckTypeSize)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckSymbolExists)
INCLUDE (CheckCSourceCompiles)
INCLUDE (CheckStructHasMember)
INCLUDE (CheckLibraryExists)

PROJECT (c-ares LANGUAGES C VERSION "1.25.0" )

# Set this version before release
SET (CARES_VERSION "1.25.0")

INCLUDE (GNUInstallDirs) # include this *AFTER* PROJECT(), otherwise paths are wrong.

# This is for libtool compatibility, and specified in a form that is easily
# translatable from libtool (even if the actual form doesn't make sense).
# For instance, in an autotools project, in Makefile.am there is a line that
# contains something like:
#     -version-info 4:0:2
# This breaks down into sections of current:revision:age
# This then generates a version of  "(current-age).age.revision"  with an
# interface version of "(current-age)"
# For example, a version of 4:0:2 would generate output such as:
#    libname.so   -> libname.so.2
#    libname.so.2 -> libname.so.2.2.0
SET (CARES_LIB_VERSIONINFO "12:1:10")


OPTION (CARES_STATIC        "Build as a static library"                                             OFF)
OPTION (CARES_SHARED        "Build as a shared library"                                             ON)
OPTION (CARES_INSTALL       "Create installation targets (chain builders may want to disable this)" ON)
OPTION (CARES_STATIC_PIC    "Build the static library as PIC (position independent)"                OFF)
OPTION (CARES_BUILD_TESTS   "Build and run tests"                                                   OFF)
OPTION (CARES_BUILD_CONTAINER_TESTS "Build and run container tests (implies CARES_BUILD_TESTS, Linux only)" OFF)
OPTION (CARES_BUILD_TOOLS   "Build tools"                                                           ON)
OPTION (CARES_SYMBOL_HIDING "Hide private symbols in shared libraries"                              OFF)
OPTION (CARES_THREADS       "Build with thread-safety support"                                      ON)
SET    (CARES_RANDOM_FILE "/dev/urandom" CACHE STRING "Suitable File / Device Path for entropy, such as /dev/urandom")


# Tests require a C++14 compiler
IF (CARES_BUILD_TESTS OR CARES_BUILD_CONTAINER_TESTS)
	set(CMAKE_CXX_STANDARD 14)
	set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
	set(CMAKE_CXX_EXTENSIONS FALSE)
	enable_language(CXX)
ENDIF ()

# Tests require static to be enabled on Windows to be able to access otherwise hidden symbols
IF ((CARES_BUILD_TESTS OR CARES_BUILD_CONTAINER_TESTS) AND (NOT CARES_STATIC) AND WIN32)
	SET (CARES_STATIC ON)
	SET (CARES_STATIC_PIC ON)
	MESSAGE (WARNING "Static building was requested be disabled, but re-enabled to support tests")
ENDIF ()

INCLUDE (EnableWarnings)

# allow linking against the static runtime library in msvc
IF (MSVC)
	OPTION (CARES_MSVC_STATIC_RUNTIME "Link against the static runtime library" OFF)
	IF (CARES_MSVC_STATIC_RUNTIME)
		# CMAKE_CONFIGURATION_TYPES is empty on non-IDE generators (Ninja, NMake)
		# and that's why we also use CMAKE_BUILD_TYPE to cover for those generators.
		# For IDE generators, CMAKE_BUILD_TYPE is usually empty
		FOREACH (config_type ${CMAKE_CONFIGURATION_TYPES} ${CMAKE_BUILD_TYPE})
			STRING (TOUPPER ${config_type} upper_config_type)
			SET (flag_var "CMAKE_C_FLAGS_${upper_config_type}")
			IF (${flag_var} MATCHES "/MD")
				STRING (REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
			ENDIF ()
		ENDFOREACH ()

		# clean up
		SET (upper_config_type)
		SET (config_type)
		SET (flag_var)
	ENDIF ()
ENDIF ()

IF (CARES_SYMBOL_HIDING)
	IF (CMAKE_VERSION VERSION_LESS 3.12)
		MESSAGE (FATAL_ERROR "Hiding symbols requires CMake 3.12")
	ENDIF ()
	CMAKE_POLICY (SET CMP0063 NEW)
ENDIF ()

# Keep build organized.
SET (CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
SET (CMAKE_LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
SET (CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
SET (PACKAGE_DIRECTORY ${PROJECT_BINARY_DIR}/package)

# Destinations for installing different kinds of targets (pass to install command).
SET (TARGETS_INST_DEST
	RUNTIME DESTINATION  ${CMAKE_INSTALL_BINDIR}
	BUNDLE DESTINATION   ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION  ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION  ${CMAKE_INSTALL_LIBDIR}
)

# Function in Library
# CHECK_LIBRARY_EXISTS can't be used as it will return true if the function
# is found in a different required/dependent library.
MACRO (CARES_FUNCTION_IN_LIBRARY func lib var)

	SET (_ORIG_CMAKE_REQUIRED_LIBRARIES "${CMAKE_REQUIRED_LIBRARIES}")
	SET (CMAKE_REQUIRED_LIBRARIES )
	CHECK_FUNCTION_EXISTS ("${func}" "_CARES_FUNC_IN_LIB_GLOBAL_${func}")
	SET (CMAKE_REQUIRED_LIBRARIES "${_ORIG_CMAKE_REQUIRED_LIBRARIES}")

	IF ("${_CARES_FUNC_IN_LIB_GLOBAL_${func}}")
		SET (${var} FALSE)
	ELSE ()
		CHECK_LIBRARY_EXISTS ("${lib}" "${func}" "" ${var})
	ENDIF ()
ENDMACRO ()

# Look for dependent/required libraries
CARES_FUNCTION_IN_LIBRARY (res_servicename resolv HAVE_RES_SERVICENAME_IN_LIBRESOLV)
IF (HAVE_RES_SERVICENAME_IN_LIBRESOLV)
	SET (HAVE_LIBRESOLV 1)
ENDIF ()

IF (APPLE)
	CHECK_C_SOURCE_COMPILES ("
	#include <stdio.h>
	#include <TargetConditionals.h>
	int main() {
#if TARGET_OS_IPHONE == 0
#error Not an iPhone target
#endif
return 0;
	}
	"
	IOS)

	CHECK_C_SOURCE_COMPILES ("
#include <stdio.h>
#include <TargetConditionals.h>
	int main() {
#if TARGET_OS_IPHONE == 0 || __IPHONE_OS_VERSION_MIN_REQUIRED < 100000
#  error Not iOS v10
#endif
return 0;
	}
	"
	IOS_V10)

	CHECK_C_SOURCE_COMPILES ("
#include <stdio.h>
#include <AvailabilityMacros.h>
#ifndef MAC_OS_X_VERSION_10_12
#  define MAC_OS_X_VERSION_10_12 101200
#endif
	int main() {
#if MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_12
#  error Not MacOSX 10.12 or higher
#endif
return 0;
	}
	"
	MACOS_V1012)
ENDIF ()

IF ((IOS OR APPLE OR ZOS) AND HAVE_LIBRESOLV)
	SET (CARES_USE_LIBRESOLV 1)
ENDIF()


CARES_FUNCTION_IN_LIBRARY (gethostbyname nsl HAVE_LIBNSL)
CARES_FUNCTION_IN_LIBRARY (gethostbyname socket HAVE_GHBN_LIBSOCKET)
CARES_FUNCTION_IN_LIBRARY (gethostbyname network HAVE_LIBNETWORK)
CARES_FUNCTION_IN_LIBRARY (socket socket HAVE_SOCKET_LIBSOCKET)
IF (HAVE_GHBN_LIBSOCKET OR HAVE_SOCKET_LIBSOCKET)
	SET(HAVE_LIBSOCKET TRUE)
ENDIF ()
CARES_FUNCTION_IN_LIBRARY (socket network HAVE_LIBNETWORK)
CARES_FUNCTION_IN_LIBRARY (clock_gettime rt HAVE_LIBRT)


# Look for necessary includes
CHECK_INCLUDE_FILES (sys/types.h           HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES (sys/random.h          HAVE_SYS_RANDOM_H)
CHECK_INCLUDE_FILES (sys/socket.h          HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES (sys/sockio.h          HAVE_SYS_SOCKIO_H)
CHECK_INCLUDE_FILES (arpa/inet.h           HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILES (arpa/nameser_compat.h HAVE_ARPA_NAMESER_COMPAT_H)
CHECK_INCLUDE_FILES (arpa/nameser.h        HAVE_ARPA_NAMESER_H)
CHECK_INCLUDE_FILES (assert.h              HAVE_ASSERT_H)
CHECK_INCLUDE_FILES (errno.h               HAVE_ERRNO_H)
CHECK_INCLUDE_FILES (fcntl.h               HAVE_FCNTL_H)
CHECK_INCLUDE_FILES (inttypes.h            HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES (limits.h              HAVE_LIMITS_H)
CHECK_INCLUDE_FILES (malloc.h              HAVE_MALLOC_H)
CHECK_INCLUDE_FILES (memory.h              HAVE_MEMORY_H)
CHECK_INCLUDE_FILES (netdb.h               HAVE_NETDB_H)
CHECK_INCLUDE_FILES (netinet/in.h          HAVE_NETINET_IN_H)
# On old MacOS SDK versions, you must include sys/socket.h before net/if.h
IF (HAVE_SYS_SOCKET_H)
  CHECK_INCLUDE_FILES ("sys/socket.h;net/if.h"  HAVE_NET_IF_H)
ELSE ()
  CHECK_INCLUDE_FILES (net/if.h                 HAVE_NET_IF_H)
ENDIF ()
CHECK_INCLUDE_FILES (signal.h              HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES (socket.h              HAVE_SOCKET_H)
CHECK_INCLUDE_FILES (stdbool.h             HAVE_STDBOOL_H)
CHECK_INCLUDE_FILES (stdint.h              HAVE_STDINT_H)
CHECK_INCLUDE_FILES (stdlib.h              HAVE_STDLIB_H)
CHECK_INCLUDE_FILES (strings.h             HAVE_STRINGS_H)
CHECK_INCLUDE_FILES (string.h              HAVE_STRING_H)
CHECK_INCLUDE_FILES (stropts.h             HAVE_STROPTS_H)
CHECK_INCLUDE_FILES (sys/ioctl.h           HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES (sys/param.h           HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILES (sys/select.h          HAVE_SYS_SELECT_H)
CHECK_INCLUDE_FILES (sys/stat.h            HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES (sys/time.h            HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES (sys/uio.h             HAVE_SYS_UIO_H)
CHECK_INCLUDE_FILES (sys/random.h          HAVE_SYS_RANDOM_H)
CHECK_INCLUDE_FILES (ifaddrs.h             HAVE_IFADDRS_H)
CHECK_INCLUDE_FILES (time.h                HAVE_TIME_H)
CHECK_INCLUDE_FILES (dlfcn.h               HAVE_DLFCN_H)
CHECK_INCLUDE_FILES (unistd.h              HAVE_UNISTD_H)
# On OpenBSD, you must include sys/types.h before netinet/tcp.h
IF (HAVE_SYS_TYPES_H)
  CHECK_INCLUDE_FILES ("sys/types.h;netinet/tcp.h"         HAVE_NETINET_TCP_H)
ELSE ()
  CHECK_INCLUDE_FILES (netinet/tcp.h                       HAVE_NETINET_TCP_H)
ENDIF ()

# Include order matters for these windows files.
# As cygwin environment has both socket.h and winsock2.h
# headers check WIN32 not to include the later one here
IF (WIN32)
CHECK_INCLUDE_FILES ("winsock2.h;windows.h"            HAVE_WINSOCK2_H)
CHECK_INCLUDE_FILES ("winsock2.h;ws2tcpip.h;windows.h" HAVE_WS2TCPIP_H)
CHECK_INCLUDE_FILES ("winsock2.h;iphlpapi.h;windows.h" HAVE_IPHLPAPI_H)
CHECK_INCLUDE_FILES ("winsock2.h;netioapi.h;windows.h" HAVE_NETIOAPI_H)
CHECK_INCLUDE_FILES ("winsock.h;windows.h"             HAVE_WINSOCK_H)
CHECK_INCLUDE_FILES (windows.h                         HAVE_WINDOWS_H)
ENDIF ()

# Set system-specific compiler flags
IF (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
	LIST (APPEND SYSFLAGS -D_DARWIN_C_SOURCE)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Linux")
	LIST (APPEND SYSFLAGS -D_GNU_SOURCE -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "SunOS")
	LIST (APPEND SYSFLAGS -D__EXTENSIONS__ -D_REENTRANT -D_XOPEN_SOURCE=700)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "AIX")
	LIST (APPEND SYSFLAGS -D_ALL_SOURCE -D_XOPEN_SOURCE=700 -D_USE_IRS)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
	# Don't define _XOPEN_SOURCE on FreeBSD, it actually reduces visibility instead of increasing it
ELSEIF (WIN32)
	LIST (APPEND SYSFLAGS -DWIN32_LEAN_AND_MEAN -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -D_WIN32_WINNT=0x0602)
ENDIF ()
ADD_DEFINITIONS(${SYSFLAGS})



# Tell C-Ares about libraries to depend on
IF (HAVE_LIBRESOLV)
	LIST (APPEND CARES_DEPENDENT_LIBS resolv)
ENDIF ()
IF (HAVE_LIBNSL)
	LIST (APPEND CARES_DEPENDENT_LIBS nsl)
ENDIF ()
IF (HAVE_LIBSOCKET)
	LIST (APPEND CARES_DEPENDENT_LIBS socket)
ENDIF ()
IF (HAVE_LIBNETWORK)
	LIST (APPEND CARES_DEPENDENT_LIBS network)
ENDIF ()
IF (HAVE_LIBRT)
	LIST (APPEND CARES_DEPENDENT_LIBS rt)
ENDIF ()
IF (WIN32)
	LIST (APPEND CARES_DEPENDENT_LIBS ws2_32 advapi32 iphlpapi)
ENDIF ()


# When checking for symbols, we need to make sure we set the proper
# headers, libraries, and definitions for the detection to work properly
# CMAKE_REQUIRED_DEFINITIONS, CMAKE_REQUIRED_LIBRARIES, and
# CMAKE_EXTRA_INCLUDE_FILES.  When we're done with the detection, we'll
# unset them.

SET (CMAKE_REQUIRED_DEFINITIONS ${SYSFLAGS})
LIST (APPEND CMAKE_REQUIRED_LIBRARIES ${CARES_DEPENDENT_LIBS})

MACRO (CARES_EXTRAINCLUDE_IFSET var include)
	IF (${var})
		LIST (APPEND CMAKE_EXTRA_INCLUDE_FILES ${include})
	ENDIF ()
ENDMACRO ()

CARES_EXTRAINCLUDE_IFSET (HAVE_STDBOOL_H      stdbool.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_TYPES_H    sys/types.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_ARPA_INET_H    arpa/inet.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_ARPA_NAMESER_H arpa/nameser.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_NETDB_H        netdb.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_NET_IF_H       net/if.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_IFADDRS_H      ifaddrs.h)

=== test/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT

# Get rid of: warning C4530: C++ exception handler used, but unwind semantics are not enabled. Specify /EHsc
IF (MSVC)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc")
ENDIF ()

find_package(Threads)
find_package(GTest REQUIRED)

# create target to access and use internal cares library
add_library(caresinternal INTERFACE)
target_compile_definitions(caresinternal INTERFACE HAVE_CONFIG_H=1)

target_include_directories(caresinternal
   INTERFACE "${PROJECT_BINARY_DIR}"
             "${PROJECT_BINARY_DIR}/src/lib"
             "${PROJECT_SOURCE_DIR}"
             "${PROJECT_SOURCE_DIR}/src/lib"
             "${CARES_TOPLEVEL_DIR}/include"
             "${CMAKE_INSTALL_INCLUDEDIR}"
)

IF (CARES_STATIC)
  target_link_libraries(caresinternal INTERFACE ${PROJECT_NAME}::cares_static)
ELSE ()
  target_link_libraries(caresinternal INTERFACE ${PROJECT_NAME}::cares)
ENDIF ()

transform_makefile_inc("Makefile.inc" "${CMAKE_CURRENT_BINARY_DIR}/Makefile.inc.cmake")
include(${CMAKE_CURRENT_BINARY_DIR}/Makefile.inc.cmake)

add_executable(arestest ${TESTSOURCES} ${TESTHEADERS})
target_include_directories(arestest PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(arestest PRIVATE caresinternal GTest::gmock)

IF (CARES_BUILD_CONTAINER_TESTS)
  target_compile_definitions(arestest PRIVATE HAVE_USER_NAMESPACE HAVE_UTS_NAMESPACE)
ENDIF ()

add_executable(aresfuzz ${FUZZSOURCES})
target_link_libraries(aresfuzz PRIVATE caresinternal)

add_executable(aresfuzzname ${FUZZNAMESOURCES})
target_link_libraries(aresfuzzname PRIVATE caresinternal)

add_executable(dnsdump ${DUMPSOURCES})
target_link_libraries(dnsdump PRIVATE caresinternal)

# register tests

add_test(NAME arestest COMMAND $<TARGET_FILE:arestest>)

file(GLOB_RECURSE FUZZINPUT_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/fuzzinput" "fuzzinput/*")
add_test(
  NAME aresfuzz
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/fuzzinput"
  COMMAND $<TARGET_FILE:aresfuzz> ${FUZZINPUT_FILES}
)

file(GLOB_RECURSE FUZZNAMES_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/fuzznames" "fuzznames/*")
add_test(
  NAME aresfuzzname
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/fuzznames"
  COMMAND $<TARGET_FILE:aresfuzzname> ${FUZZNAMES_FILES}
)

=== src/lib/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT

# Transform Makefile.inc
transform_makefile_inc("Makefile.inc" "${PROJECT_BINARY_DIR}/src/lib/Makefile.inc.cmake")
include(${PROJECT_BINARY_DIR}/src/lib/Makefile.inc.cmake)

# Write ares_config.h configuration file.  This is used only for the build.
CONFIGURE_FILE (ares_config.h.cmake ${PROJECT_BINARY_DIR}/ares_config.h)

# Build the dynamic/shared library
IF (CARES_SHARED)
	ADD_LIBRARY (${PROJECT_NAME} SHARED ${CSOURCES})

	# Include resource file in windows builds for versioned DLLs
	IF (WIN32)
		TARGET_SOURCES (${PROJECT_NAME} PRIVATE cares.rc)
	ENDIF()

	# Convert CARES_LIB_VERSIONINFO libtool version format into VERSION and SOVERSION
	# Convert from ":" separated into CMake list format using ";"
	STRING (REPLACE ":" ";" CARES_LIB_VERSIONINFO ${CARES_LIB_VERSIONINFO})
	LIST (GET CARES_LIB_VERSIONINFO 0 CARES_LIB_VERSION_CURRENT)
	LIST (GET CARES_LIB_VERSIONINFO 1 CARES_LIB_VERSION_REVISION)
	LIST (GET CARES_LIB_VERSIONINFO 2 CARES_LIB_VERSION_AGE)
	MATH (EXPR CARES_LIB_VERSION_MAJOR "${CARES_LIB_VERSION_CURRENT} - ${CARES_LIB_VERSION_AGE}")
	SET  (CARES_LIB_VERSION_MINOR "${CARES_LIB_VERSION_AGE}")
	SET  (CARES_LIB_VERSION_RELEASE "${CARES_LIB_VERSION_REVISION}")

	SET_TARGET_PROPERTIES (${PROJECT_NAME} PROPERTIES
		EXPORT_NAME                  cares
		OUTPUT_NAME                  cares
		COMPILE_PDB_NAME             cares
		COMPILE_PDB_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
		SOVERSION                    ${CARES_LIB_VERSION_MAJOR}
		VERSION                      "${CARES_LIB_VERSION_MAJOR}.${CARES_LIB_VERSION_MINOR}.${CARES_LIB_VERSION_RELEASE}"
		C_STANDARD                   90
	)

	IF (CARES_SYMBOL_HIDING)
		SET_TARGET_PROPERTIES (${PROJECT_NAME} PROPERTIES
			C_VISIBILITY_PRESET hidden
			VISIBILITY_INLINES_HIDDEN YES
		)
	ENDIF ()

	TARGET_INCLUDE_DIRECTORIES (${PROJECT_NAME}
		PUBLIC "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
		       "$<BUILD_INTERFACE:${CARES_TOPLEVEL_DIR}/include>"
		       "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
		PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}"
	)

	TARGET_COMPILE_DEFINITIONS (${PROJECT_NAME} PRIVATE HAVE_CONFIG_H=1 CARES_BUILDING_LIBRARY)

	TARGET_LINK_LIBRARIES (${PROJECT_NAME}
		PUBLIC ${CARES_DEPENDENT_LIBS}
		PRIVATE ${CMAKE_THREAD_LIBS_INIT}
	)

	IF (CARES_INSTALL)
		INSTALL (TARGETS ${PROJECT_NAME}
			EXPORT ${PROJECT_NAME}-targets
			COMPONENT Library
			${TARGETS_INST_DEST}
		)
		INSTALL(FILES ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/cares.pdb
			DESTINATION ${CMAKE_INSTALL_BINDIR}
			COMPONENT Library
			OPTIONAL
		)
	ENDIF ()
	SET (STATIC_SUFFIX "_static")

	# For chain building: add alias targets that look like import libs that would be returned by find_package(c-ares).
	ADD_LIBRARY (${PROJECT_NAME}::cares_shared ALIAS ${PROJECT_NAME})
	ADD_LIBRARY (${PROJECT_NAME}::cares        ALIAS ${PROJECT_NAME})
ENDIF ()

# Build the static library
IF (CARES_STATIC)
	SET (LIBNAME ${PROJECT_NAME}${STATIC_SUFFIX})

	ADD_LIBRARY (${LIBNAME} STATIC ${CSOURCES})

	SET_TARGET_PROPERTIES (${LIBNAME} PROPERTIES
		EXPORT_NAME                  cares${STATIC_SUFFIX}
		OUTPUT_NAME                  cares${STATIC_SUFFIX}
		COMPILE_PDB_NAME             cares${STATIC_SUFFIX}
		COMPILE_PDB_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
		C_STANDARD                   90
	)

	IF (CARES_STATIC_PIC)
		SET_TARGET_PROPERTIES (${LIBNAME} PROPERTIES POSITION_INDEPENDENT_CODE True)
	ENDIF ()

	TARGET_INCLUDE_DIRECTORIES (${LIBNAME}
		PUBLIC "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
		       "$<BUILD_INTERFACE:${CARES_TOPLEVEL_DIR}/include>"
		       "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
		PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}"
	)

	TARGET_COMPILE_DEFINITIONS (${LIBNAME} PRIVATE HAVE_CONFIG_H=1 CARES_BUILDING_LIBRARY)

	# Only matters on Windows
	IF (WIN32 OR CYGWIN)
		TARGET_COMPILE_DEFINITIONS (${LIBNAME} PUBLIC CARES_STATICLIB)
	ENDIF()

	TARGET_LINK_LIBRARIES (${LIBNAME} PUBLIC ${CARES_DEPENDENT_LIBS})
	IF (CARES_INSTALL)
		INSTALL (TARGETS ${LIBNAME} EXPORT ${PROJECT_NAME}-targets COMPONENT Devel
			${TARGETS_INST_DEST}
		)
		INSTALL(FILES ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/cares${STATIC_SUFFIX}.pdb
			DESTINATION ${CMAKE_INSTALL_BINDIR}
			COMPONENT Library
			OPTIONAL
		)
	ENDIF ()

	# For chain building: add alias targets that look like import libs that would be returned by find_package(c-ares).
	ADD_LIBRARY (${PROJECT_NAME}::cares_static ALIAS ${LIBNAME})
	IF (NOT TARGET ${PROJECT_NAME}::cares)
		# Only use static for the generic alias if shared lib wasn't built.
		ADD_LIBRARY (${PROJECT_NAME}::cares ALIAS ${LIBNAME})
	ENDIF ()
ENDIF ()

=== debian/changelog ===
c-ares (1.25.0-1) unstable; urgency=medium

  * Imported Upstream version 1.25.0

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 07 Jan 2024 11:26:42 +0100

c-ares (1.24.0-1) unstable; urgency=low

  * Imported Upstream version 1.24.0
  * Switched to CMake build system (LP: #1835035)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 17 Dec 2023 14:10:45 +0100

c-ares (1.23.0-1) unstable; urgency=low

  * Imported Upstream version 1.23.0

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 30 Nov 2023 22:01:59 +0100

c-ares (1.22.1-1) unstable; urgency=low

  * Imported Upstream version 1.22.1

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 20 Nov 2023 18:02:51 +0100

c-ares (1.22.0-1) unstable; urgency=low

  * Imported Upstream version 1.22.0

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 14 Nov 2023 22:08:07 +0100

c-ares (1.21.0-1) unstable; urgency=low

  * Imported Upstream version 1.21.0

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 27 Oct 2023 13:19:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: c-ares
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Build-Depends: debhelper-compat (= 13)
+Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               googletest,
+               ninja-build
 Standards-Version: 4.6.2
 Section: libs
 Vcs-Browser: https://salsa.debian.org/debian/c-ares

## c-ares 1.27.0

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	TARGET_INCLUDE_DIRECTORIES (${PROJECT_NAME}
 		PUBLIC "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
 		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
-		       "$<BUILD_INTERFACE:${CARES_TOPLEVEL_DIR}/include>"
+		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
 		       "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
 		PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}"
 	)
@@ -99,7 +99,7 @@
 	TARGET_INCLUDE_DIRECTORIES (${LIBNAME}
 		PUBLIC "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
 		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
-		       "$<BUILD_INTERFACE:${CARES_TOPLEVEL_DIR}/include>"
+		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
 		       "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
 		PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}"
 	)

=== src/tools/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT
IF (CARES_BUILD_TOOLS)
	# Transform Makefile.inc
	transform_makefile_inc("Makefile.inc" "${PROJECT_BINARY_DIR}/src/tools/Makefile.inc.cmake")
	include(${PROJECT_BINARY_DIR}/src/tools/Makefile.inc.cmake)

	# Build ahost
	ADD_EXECUTABLE (ahost ahost.c ${SAMPLESOURCES})
	TARGET_INCLUDE_DIRECTORIES (ahost
		PUBLIC "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src/lib>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
		       "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
		PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}"
	)
	SET_TARGET_PROPERTIES (ahost PROPERTIES
		C_STANDARD                   90
	)

	TARGET_COMPILE_DEFINITIONS (ahost PRIVATE HAVE_CONFIG_H=1)
	TARGET_LINK_LIBRARIES (ahost PRIVATE ${PROJECT_NAME})
	IF (CARES_INSTALL)
		INSTALL (TARGETS ahost COMPONENT Tools ${TARGETS_INST_DEST})
	ENDIF ()


	# Build adig
	ADD_EXECUTABLE (adig adig.c ${SAMPLESOURCES})
	TARGET_INCLUDE_DIRECTORIES (adig
		PUBLIC "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src/lib>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>"
		       "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
		PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}"
	)
	SET_TARGET_PROPERTIES (adig PROPERTIES
		C_STANDARD                   90
	)

	TARGET_COMPILE_DEFINITIONS (adig PRIVATE HAVE_CONFIG_H=1)
	TARGET_LINK_LIBRARIES (adig PRIVATE ${PROJECT_NAME})
	IF (CARES_INSTALL)
		INSTALL (TARGETS adig COMPONENT Tools ${TARGETS_INST_DEST})
	ENDIF ()
ENDIF ()

=== debian/changelog ===
c-ares (1.27.0-1.0ubuntu1) noble; urgency=medium

  * Non-maintainer upload.
  * Direct upload to Ubuntu to avoid having to wait for Debian binary NEW
    processing.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062032

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:04:16 +0000

c-ares (1.27.0-1) unstable; urgency=high

  * Imported Upstream version 1.27.0 (fixes CVE-2024-25629)

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 24 Feb 2024 20:00:16 +0100

c-ares (1.26.0-1) unstable; urgency=low

  * Imported Upstream version 1.26.0

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 27 Jan 2024 16:57:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: c-ares
 Priority: optional
-Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Build-Depends: cmake,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Build-Depends: dpkg-dev (>= 1.22.5), cmake,
                debhelper-compat (= 13),
                googletest,
                ninja-build
@@ -16,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libares-dev
-Depends: libc-ares2 (= ${binary:Version}),
+Depends: libcares2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
@@ -31,10 +32,13 @@
  .
  This package contains development files (headers and static libraries).
 
-Package: libc-ares2
+Package: libcares2
+X-Time64-Compat: libc-ares2
+Provides: ${t64:Provides}
+Breaks: libc-ares2 (<< ${source:Version})
 Conflicts: libcares2
 Architecture: any
-Replaces: libc-ares1
+Replaces: libc-ares2, libc-ares1
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all
export GTEST_FILTER = -*Live*:*.FamilyV4ServiceName/*

%:
	dh $@ --buildsystem=cmake+ninja

# useless for CMake (see #844504)
override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCARES_BUILD_TOOLS=OFF \
	-DCARES_SHARED=ON \
	-DCARES_STATIC=ON \
	-DCARES_SYMBOL_HIDING=ON \
	-DCARES_BUILD_TESTS=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)

## c-ares 1.31.0

=== debian/changelog ===
c-ares (1.31.0-1) unstable; urgency=medium

  * Imported Upstream version 1.31.0

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 18 Jun 2024 19:10:14 +0200

c-ares (1.30.0-1) unstable; urgency=medium

  * Imported Upstream version 1.30.0

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 07 Jun 2024 23:11:26 +0200

c-ares (1.29.0-1) unstable; urgency=medium

  * Imported Upstream version 1.29.0

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 26 May 2024 15:57:37 +0200

c-ares (1.28.1-1) unstable; urgency=medium

  * Imported Upstream version 1.28.1

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 25 Apr 2024 17:32:21 +0200

c-ares (1.27.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062032

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:04:16 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 export GTEST_FILTER = -*Live*:*.FamilyV4ServiceName/*
 
 %:

## c-ares 1.32.2

=== debian/changelog ===
c-ares (1.32.2-2) unstable; urgency=medium

  * Add upstream patch to fix pycares test suite

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 18 Jul 2024 22:13:43 +0200

c-ares (1.32.2-1) unstable; urgency=medium

  * Imported Upstream version 1.32.2

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 17 Jul 2024 18:12:45 +0200

## c-ares 1.32.3

=== debian/changelog ===
c-ares (1.32.3-1) unstable; urgency=medium

  * Imported Upstream version 1.32.3

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 24 Jul 2024 20:49:50 +0200

## c-ares 1.33.0

=== debian/changelog ===
c-ares (1.33.0-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Use after free() in read_answers()
    - debian/patches/CVE-2025-31498-pre1.patch: ares_getaddrinfo() for
      AF_UNSPEC should retry if ipv6 received in
      src/lib/ares_getaddrinfo.c, test/ares-test-mock-ai.cc.
    - debian/patches/CVE-2025-31498-1.patch: queue queries to be resent in
      src/lib/ares_close_sockets.c, src/lib/ares_cookie.c,
      src/lib/ares_private.h, src/lib/ares_process.c,
      src/lib/dsa/ares__array.c, src/lib/dsa/ares__array.h,
      test/ares-test-mock-ai.cc, test/ares-test-mock.cc, test/ares-test.cc,
      test/ares-test.h.
    - debian/patches/CVE-2025-31498-2.patch: windows build fix in
      test/ares-test.cc.
    - debian/patches/CVE-2025-31498-3.patch: remove unused vars in
      src/lib/ares_process.c.
    - debian/patches/CVE-2025-31498-4.patch: windows build fix in
      test/ares-test.cc.
    - debian/patches/CVE-2025-31498-5.patch: variable set but never read in
      src/lib/ares_process.c.
    - debian/patches/CVE-2025-31498-6.patch: build fix in
      test/ares-test.cc, test/ares-test.h.
    - debian/libcares2.symbols: added new symbol.
    - CVE-2025-31498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Apr 2025 11:05:05 -0400

c-ares (1.33.0-1) unstable; urgency=medium

  * Imported Upstream version 1.33.0

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 02 Aug 2024 21:03:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                googletest,
                ninja-build
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org/debian/c-ares
 Vcs-Git: https://salsa.debian.org/debian/c-ares.git

## c-ares 1.33.1

=== debian/changelog ===
c-ares (1.33.1-2) unstable; urgency=medium

  * Remove self-conflict (Closes: #1081454)

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 21 Sep 2024 17:50:47 +0200

c-ares (1.33.1-1) unstable; urgency=medium

  * Imported Upstream version 1.33.1

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 24 Aug 2024 12:00:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: c-ares
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                googletest,
@@ -36,7 +35,6 @@
 X-Time64-Compat: libc-ares2
 Provides: ${t64:Provides}
 Breaks: libc-ares2 (<< ${source:Version})
-Conflicts: libcares2
 Architecture: any
 Replaces: libc-ares2, libc-ares1
 Depends: ${shlibs:Depends}, ${misc:Depends}

## c-ares 1.34.2

=== debian/changelog ===
c-ares (1.34.2-1) unstable; urgency=medium

  * Imported Upstream version 1.34.2

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 17 Oct 2024 21:16:09 +0200

## c-ares 1.34.3

=== debian/changelog ===
c-ares (1.34.3-1) unstable; urgency=medium

  * Imported Upstream version 1.34.3

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 12 Nov 2024 21:03:36 +0100

## c-ares 1.34.4

=== debian/changelog ===
c-ares (1.34.4-2.1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Use after free() in read_answers()
    - debian/patches/CVE-2025-31498-1.patch: queue queries to be resent in
      src/lib/ares_close_sockets.c, src/lib/ares_cookie.c,
      src/lib/ares_private.h, src/lib/ares_process.c,
      test/ares-test-mock-ai.cc, test/ares-test-mock.cc, test/ares-test.cc,
      test/ares-test.h.
    - debian/patches/CVE-2025-31498-2.patch: windows build fix in
      test/ares-test.cc.
    - debian/patches/CVE-2025-31498-3.patch: windows build fix in
      test/ares-test.cc.
    - debian/patches/CVE-2025-31498-4.patch: build fix in
      test/ares-test.cc, test/ares-test.h.
    - CVE-2025-31498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Apr 2025 10:55:44 -0400

c-ares (1.34.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 30 Dec 2024 22:34:00 -0500

c-ares (1.34.4-2) unstable; urgency=medium

  * Provide transitional package (Closes: #1086734)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 20 Dec 2024 09:47:04 +0100

c-ares (1.34.4-1) unstable; urgency=medium

  * Imported Upstream version 1.34.4

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 14 Dec 2024 22:39:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: c-ares
 Priority: optional
-Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                googletest,
@@ -50,3 +51,10 @@
   * 64-bit clean sources.
  .
  This package provides the shared libraries.
+
+Package: libc-ares2
+Depends: libcares2, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
